Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMAnimatedTransformList.AnimSVGTransformList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGTransformList
              org.apache.batik.dom.svg.SVGOMAnimatedTransformList.AnimSVGTransformList

All Implemented Interfaces:
  org.w3c.dom.svg.SVGTransformList

Enclosing class:
  SVGOMAnimatedTransformList

    protected class SVGOMAnimatedTransformList.AnimSVGTransformList

extends AbstractSVGTransformList

`SVGTransformList` implementation for the animated transform list value.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGTransformList
`AbstractSVGTransformList.SVGTransformItem, AbstractSVGTransformList.TransformListBuilder`

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGTransformList
`SVG_TRANSFORMATION_LIST_SEPARATOR`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Constructor Summary
`SVGOMAnimatedTransformList.AnimSVGTransformList()` Creates a new AnimSVGTransformList.

Method Summary
`org.w3c.dom.svg.SVGTransform` | `appendItem(org.w3c.dom.svg.SVGTransform newItem)` DOM: Implements `SVGTransformList.appendItem(SVGTransform)`.
`void` | `clear()` DOM: Implements `SVGTransformList.clear()`.
`org.w3c.dom.svg.SVGTransform` | `consolidate()` DOM: Implements `SVGTransformList.consolidate()`.
`protected DOMException` | `createDOMException(short type, String key, Object[] args)` Create a DOMException.
`protected org.w3c.dom.svg.SVGException` | `createSVGException(short type, String key, Object[] args)` Create a SVGException.
`org.w3c.dom.svg.SVGTransform` | `getItem(int index)` DOM: Implements `SVGTransformList.getItem(int)`.
`int` | `getNumberOfItems()` DOM: Implements `SVGTransformList.getNumberOfItems()`.
`protected String` | `getValueAsString()` Returns the value of the DOM attribute containing the transform list.
`org.w3c.dom.svg.SVGTransform` | `initialize(org.w3c.dom.svg.SVGTransform newItem)` DOM: Implements `SVGTransformList.initialize(SVGTransform)`.
`org.w3c.dom.svg.SVGTransform` | `insertItemBefore(org.w3c.dom.svg.SVGTransform newItem, int index)` DOM: Implements `SVGTransformList.insertItemBefore(SVGTransform, int)`.
`org.w3c.dom.svg.SVGTransform` | `removeItem(int index)` DOM: Implements `SVGTransformList.removeItem(int)`.
`org.w3c.dom.svg.SVGTransform` | `replaceItem(org.w3c.dom.svg.SVGTransform newItem, int index)` DOM: Implements `SVGTransformList.replaceItem(SVGTransform, int)`.
`protected void` | `resetAttribute()` Resets the value of the associated attribute.
`protected void` | `resetAttribute(SVGItem item)` Resets the value of the associated attribute.
`protected void` | `revalidate()` Initializes the list, if needed.
`protected void` | `setAnimatedValue(Iterator it)` Sets the animated value to a list of transforms.
`protected void` | `setAnimatedValue(org.w3c.dom.svg.SVGTransform transform)` Sets the animated value to a single transform.
`protected void` | `setAttributeValue(String value)` Sets the DOM attribute value containing the transform list.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGTransformList
`checkItemType, createSVGItem, createSVGTransformFromMatrix, doParse, getAffineTransform, getItemSeparator`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, getItemImpl, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGOMAnimatedTransformList.AnimSVGTransformList

    public SVGOMAnimatedTransformList.AnimSVGTransformList()

  Creates a new AnimSVGTransformList.

Method Detail

### createDOMException

    protected DOMException createDOMException(short type,
                                              String key,
                                              Object[] args)

  Create a DOMException.

  Specified by:
    `createDOMException` in class `AbstractSVGList`

### createSVGException

    protected org.w3c.dom.svg.SVGException createSVGException(short type,
                                                              String key,
                                                              Object[] args)

  Create a SVGException.

  Specified by:
    `createSVGException` in class `AbstractSVGTransformList`
  Returns:
    SVGException

### getNumberOfItems

    public int getNumberOfItems()

  DOM: Implements `SVGTransformList.getNumberOfItems()`.

  Specified by:
    `getNumberOfItems` in interface `org.w3c.dom.svg.SVGTransformList`
  Overrides:
    `getNumberOfItems` in class `AbstractSVGList`

### getItem

    public org.w3c.dom.svg.SVGTransform getItem(int index)
                                         throws DOMException

  DOM: Implements `SVGTransformList.getItem(int)`.

  Specified by:
    `getItem` in interface `org.w3c.dom.svg.SVGTransformList`
  Overrides:
    `getItem` in class `AbstractSVGTransformList`
  Throws:
    `DOMException`

### getValueAsString

    protected String getValueAsString()

  Returns the value of the DOM attribute containing the transform list.

  Specified by:
    `getValueAsString` in class `AbstractSVGList`

### setAttributeValue

    protected void setAttributeValue(String value)

  Sets the DOM attribute value containing the transform list.

  Specified by:
    `setAttributeValue` in class `AbstractSVGList`
  Parameters:
    `value` - the String representation of the list, or null if the list contains no items

### clear

    public void clear()
               throws DOMException

  DOM: Implements `SVGTransformList.clear()`.

  Specified by:
    `clear` in interface `org.w3c.dom.svg.SVGTransformList`
  Overrides:
    `clear` in class `AbstractSVGList`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the list cannot be modified.

### initialize

    public org.w3c.dom.svg.SVGTransform initialize(org.w3c.dom.svg.SVGTransform newItem)
                                            throws DOMException,
                                                   org.w3c.dom.svg.SVGException

  DOM: Implements `SVGTransformList.initialize(SVGTransform)`.

  Specified by:
    `initialize` in interface `org.w3c.dom.svg.SVGTransformList`
  Overrides:
    `initialize` in class `AbstractSVGTransformList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### insertItemBefore

    public org.w3c.dom.svg.SVGTransform insertItemBefore(org.w3c.dom.svg.SVGTransform newItem,
                                                         int index)
                                                  throws DOMException,
                                                         org.w3c.dom.svg.SVGException

  DOM: Implements `SVGTransformList.insertItemBefore(SVGTransform, int)`.

  Specified by:
    `insertItemBefore` in interface `org.w3c.dom.svg.SVGTransformList`
  Overrides:
    `insertItemBefore` in class `AbstractSVGTransformList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### replaceItem

    public org.w3c.dom.svg.SVGTransform replaceItem(org.w3c.dom.svg.SVGTransform newItem,
                                                    int index)
                                             throws DOMException,
                                                    org.w3c.dom.svg.SVGException

  DOM: Implements `SVGTransformList.replaceItem(SVGTransform, int)`.

  Specified by:
    `replaceItem` in interface `org.w3c.dom.svg.SVGTransformList`
  Overrides:
    `replaceItem` in class `AbstractSVGTransformList`
  Throws:
    `DOMException`
    `org.w3c.dom.svg.SVGException`

### removeItem

    public org.w3c.dom.svg.SVGTransform removeItem(int index)
                                            throws DOMException

  DOM: Implements `SVGTransformList.removeItem(int)`.

  Specified by:
    `removeItem` in interface `org.w3c.dom.svg.SVGTransformList`
  Overrides:
    `removeItem` in class `AbstractSVGTransformList`
  Throws:
    `DOMException`

### appendItem

    public org.w3c.dom.svg.SVGTransform appendItem(org.w3c.dom.svg.SVGTransform newItem)
                                            throws DOMException

  DOM: Implements `SVGTransformList.appendItem(SVGTransform)`.

  Specified by:
    `appendItem` in interface `org.w3c.dom.svg.SVGTransformList`
  Overrides:
    `appendItem` in class `AbstractSVGTransformList`
  Throws:
    `DOMException`

### consolidate

    public org.w3c.dom.svg.SVGTransform consolidate()

  DOM: Implements `SVGTransformList.consolidate()`.

  Specified by:
    `consolidate` in interface `org.w3c.dom.svg.SVGTransformList`
  Overrides:
    `consolidate` in class `AbstractSVGTransformList`

### setAnimatedValue

    protected void setAnimatedValue(Iterator it)

  Sets the animated value to a list of transforms.

### setAnimatedValue

    protected void setAnimatedValue(org.w3c.dom.svg.SVGTransform transform)

  Sets the animated value to a single transform.

### resetAttribute

    protected void resetAttribute()

  Resets the value of the associated attribute. Does nothing, since there is no attribute for an animated value.

  Overrides:
    `resetAttribute` in class `AbstractSVGList`

### resetAttribute

    protected void resetAttribute(SVGItem item)

  Resets the value of the associated attribute. Does nothing, since there is no attribute for an animated value.

  Overrides:
    `resetAttribute` in class `AbstractSVGList`

### revalidate

    protected void revalidate()

  Initializes the list, if needed. Does nothing, since there is no attribute to read the list from.

  Overrides:
    `revalidate` in class `AbstractSVGList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.